package ar.edu.unju.fi.patterns.comportamiento.state.banco;

public class Ventanilla {
	private String cajero;
	private EstadoVentanilla estado;

	public Ventanilla(){
		estado = new Abierta();
	}
	public void suspendete(){
		estado = new Suspendida();
	}
	public void cerrate() {
		estado = new Cerrada();
	}	
	public void abrite() {
		estado = new Abierta();
	}
	
	/**
	 * Se invoca al state correspondiente
	 * @param persona
	 */
	public void atende(Persona persona){
		estado.atende(persona);
	}

	
	public String getCajero() {
		return cajero;
	}
	public void setCajero(String cajero) {
		this.cajero = cajero;
	}	
	public EstadoVentanilla getEstado() {
		return estado;
	}
	public void setEstado(EstadoVentanilla estado) {
		this.estado = estado;
	}	
}
